Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FLAC__Subframe Struct Reference
[FLAC/format.h: format components]

`#include <format.h>`

List of all members.

## Public Attributes

FLAC__SubframeType | type
union {
FLAC__Subframe_Constant constant
FLAC__Subframe_Fixed fixed
FLAC__Subframe_LPC lpc
FLAC__Subframe_Verbatim verbatim
} | data
unsigned | wasted_bits

## Detailed Description

FLAC subframe structure. (c.f. format specification)

The documentation for this struct was generated from the following file:

- include/FLAC/format.h